=== debian/watch ===
version=3

http://sf.net/gmameui/gmameui-(.*)\.tar\.gz
